Public Class frmMy

    Private Sub btnMyApp_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMyApp.Click
        Dim strMyTitle As String = My.Application.Info.Title
        Dim strMyVersion As String = My.Application.Info.Version.Major
        Dim strMyCopy As String = My.Application.Info.Copyright
        Dim strMyCultureName As String = My.Application.UICulture.NativeName

        MessageBox.Show(strMyTitle & " " & strMyVersion & " Developed By " & strMyCopy & Environment.NewLine & _
        " Culture Info: " & strMyCultureName)

    End Sub

    Private Sub btnMyComp_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMyComp.Click
        Dim strMyComputer As String = My.Computer.Name
        Dim strMyOS As String = My.Computer.Info.OSFullName.ToString()
        Dim strMyCurrDir As String = My.Computer.FileSystem.CurrentDirectory.ToString()
        Dim strMyClipBoard As String = My.Computer.Clipboard.GetText

        MessageBox.Show("User " & strMyComputer & " Running " & strMyOS & Environment.NewLine & _
        " Has Opened A File In " & strMyCurrDir & Environment.NewLine & _
        "And Copied " & strMyClipBoard)

    End Sub

    Private Sub btnMyForms_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMyForms.Click
        My.Forms.Form2.Label1.Text = "Hello"
        My.Forms.Form3.BackColor = Color.Beige
        My.Forms.Form3.Location = New Point(300, 300)
        My.Forms.Form2.Show()
        My.Forms.Form3.Show()
    End Sub

    Private Sub btnMyRes_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMyRes.Click
        'project properties, resources
        My.Forms.Form2.PictureBox1.Image = My.Resources.Image1
        My.Forms.Form2.Label1.Text = My.Resources.String1
        My.Forms.Form2.Show()
    End Sub

    Private Sub btnMySet_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMySet.Click
        'project properties, settings - application / user
        My.Settings.Save()
        'saved in MY PROJECT Folder, Settings.  In XML format, open in Notepad
        Me.Text = My.Settings.Item("Setting1").ToString
    End Sub

    Private Sub btnMyUser_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMyUser.Click
        MessageBox.Show(My.User.Name)

    End Sub

End Class
